Skip to content
Start here

Update integration

client.zeroTrust.casb.integrations.update(stringid, IntegrationUpdateParams { account_id, credentials, dlp_profiles, 3 more } params, RequestOptionsoptions?): IntegrationUpdateResponse { id, application, auth_method, 11 more }
PATCH/accounts/{account_id}/one/integrations/{id}

Updates an integration’s name, permissions, DLP profiles, use cases, or credentials.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id: string
params: IntegrationUpdateParams { account_id, credentials, dlp_profiles, 3 more }
account_id: string

Path param: Cloudflare account identifier.

credentials?: Record<string, unknown>

Body param: Partial credential fields to merge with existing.

dlp_profiles?: Array<string>

Body param: List of DLP profile IDs to associate with the integration.

name?: string

Body param: Name of the integration.

maxLength256
minLength1
permissions?: Array<string>

Body param: List of permission scopes granted to the integration.

use_cases?: Array<"casb" | "ces" | "auto_remediation">

Body param: List of use case or feature slugs to enroll (e.g., [‘casb’, ‘ces’, ‘auto_remediation’]).

One of the following:
"casb"
"ces"
"auto_remediation"
ReturnsExpand Collapse
IntegrationUpdateResponse { id, application, auth_method, 11 more }

The requested item.

id: string

Integration ID.

formatuuid
application: Record<string, string | null>
auth_method: Record<string, string> | null

The integration’s authentication method.

created: string

When the integration was created.

formatdate-time
credentials_expiry: string

Credentials expiry time.

formatdate-time
dlp_profiles: Array<string>

DLP Profiles enabled for the integration.

health_details: Array<Record<string, unknown>>

Health details with remediation hints.

is_paused: boolean

Whether the user paused the integration.

last_hydrated: string

Last time the integration was hydrated.

formatdate-time
name: string

Name of the integration.

status: string

Integration status.

updated: string

When the integration was last updated.

formatdate-time
use_cases: Array<Record<string, unknown>>

Use cases enabled for the integration.

Update integration

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const integration = await client.zeroTrust.casb.integrations.update('id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  credentials: { access_token: 'new_access_token', refresh_token: 'new_refresh_token' },
});

console.log(integration.id);
{
  "errors": [],
  "messages": [],
  "result": {
    "application": {
      "category": "Productivity",
      "display_name": "Google Workspace",
      "logo": "https://dash.cloudflare.com/v2/static/google_workspace.png"
    },
    "auth_method": {
      "display_name": "OAuth 2.0",
      "id": "oauth"
    },
    "authorization_link": {
      "components": {
        "client_id": "abc",
        "instance_name": "example"
      },
      "link": "https://example.cloudflare.com/authorize"
    },
    "created": "2025-01-01T00:00:00Z",
    "credentials_expiry": "2026-01-01T00:00:00Z",
    "dlp_profiles": [
      "e91a2360-da51-4fdf-9711-bcdecd462614"
    ],
    "health_details": [],
    "id": "019d2e6a-d995-7185-afbd-4feead9e42ec",
    "is_paused": false,
    "last_hydrated": "2025-04-10T08:30:00Z",
    "name": "My Google Workspace",
    "status": "Healthy",
    "updated": "2025-04-10T08:30:00Z",
    "use_cases": [
      {
        "description": "Discover and secure SaaS applications",
        "features": [
          {
            "description": "Automatically remediate security issues (requires write permissions)",
            "id": "auto_remediation",
            "is_enabled": true,
            "name": "Auto Remediation",
            "permissions": [
              {
                "display_name": "Manage users",
                "scope": "https://www.googleapis.com/auth/admin.directory.user",
                "status": "granted"
              }
            ]
          }
        ],
        "id": "casb",
        "is_enabled": true,
        "name": "Cloud Access Security Broker",
        "permissions": [
          {
            "display_name": "Drive (Read Only)",
            "scope": "https://www.googleapis.com/auth/drive.readonly",
            "status": "granted"
          },
          {
            "display_name": "Gmail (Read Only)",
            "scope": "https://www.googleapis.com/auth/gmail.readonly",
            "status": "missing"
          }
        ]
      },
      {
        "description": "Protect against email-based threats",
        "features": [],
        "id": "ces",
        "is_enabled": false,
        "name": "Cloud Email Security",
        "permissions": []
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "application": {
      "category": "Productivity",
      "display_name": "Google Workspace",
      "logo": "https://dash.cloudflare.com/v2/static/google_workspace.png"
    },
    "auth_method": {
      "display_name": "OAuth 2.0",
      "id": "oauth"
    },
    "authorization_link": {
      "components": {
        "client_id": "abc",
        "instance_name": "example"
      },
      "link": "https://example.cloudflare.com/authorize"
    },
    "created": "2025-01-01T00:00:00Z",
    "credentials_expiry": "2026-01-01T00:00:00Z",
    "dlp_profiles": [
      "e91a2360-da51-4fdf-9711-bcdecd462614"
    ],
    "health_details": [],
    "id": "019d2e6a-d995-7185-afbd-4feead9e42ec",
    "is_paused": false,
    "last_hydrated": "2025-04-10T08:30:00Z",
    "name": "My Google Workspace",
    "status": "Healthy",
    "updated": "2025-04-10T08:30:00Z",
    "use_cases": [
      {
        "description": "Discover and secure SaaS applications",
        "features": [
          {
            "description": "Automatically remediate security issues (requires write permissions)",
            "id": "auto_remediation",
            "is_enabled": true,
            "name": "Auto Remediation",
            "permissions": [
              {
                "display_name": "Manage users",
                "scope": "https://www.googleapis.com/auth/admin.directory.user",
                "status": "granted"
              }
            ]
          }
        ],
        "id": "casb",
        "is_enabled": true,
        "name": "Cloud Access Security Broker",
        "permissions": [
          {
            "display_name": "Drive (Read Only)",
            "scope": "https://www.googleapis.com/auth/drive.readonly",
            "status": "granted"
          },
          {
            "display_name": "Gmail (Read Only)",
            "scope": "https://www.googleapis.com/auth/gmail.readonly",
            "status": "missing"
          }
        ]
      },
      {
        "description": "Protect against email-based threats",
        "features": [],
        "id": "ces",
        "is_enabled": false,
        "name": "Cloud Email Security",
        "permissions": []
      }
    ]
  },
  "success": true
}